<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('mark_list', function (Blueprint $table) {
            $table->id();
            $table->string('mark_no')->unique();
            $table->string('origin');
            $table->string('destination');
            $table->string('customer_id');
            $table->string('customer_name');
            $table->string('company_name')->nullable();
            $table->string('mobile_no');
            $table->date('date')->nullable();
            $table->enum('status', ['active', 'inactive'])->default('active');
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('mark_list');
    }
};
